#IF(
    #DEFINED(#Shop.GoogleSmartShoppingConfig)
    AND #DEFINED(#Shop.GoogleSmartShoppingConfig.AdsCampaignConversionId)
    AND #DEFINED(#Shop.GoogleSmartShoppingConfig.AdsCampaignConversionLabel)
)
  (function () {

    const adsCampaignConversionId = "#Shop.GoogleSmartShoppingConfig.AdsCampaignConversionId";
    const adsCampaignConversionLabel = "#Shop.GoogleSmartShoppingConfig.AdsCampaignConversionLabel";

    function gtag() {
        dataLayer.push(arguments);
    }

    if (! (window.dataLayer && document.getElementById('GAW_googletagmanager'))) {
        let googleSmartShoppingScriptElement = document.createElement('script')
        googleSmartShoppingScriptElement.src = 'https://www.googletagmanager.com/gtag/js?id=' + adsCampaignConversionId
        googleSmartShoppingScriptElement.id = 'GSG_googletagmanager'
        document.body.appendChild(googleSmartShoppingScriptElement)

        window.dataLayer = window.dataLayer || [];
        gtag('js', new Date());
    }

    gtag('config', adsCampaignConversionId);

    return function () {
      if (window.eComEventTarget) {
        window.eComEventTarget.addEventListener('order:completed', onOrderCompletedEvent)
      }
    }();

  function onOrderCompletedEvent (event) {
    var order = event.detail
    if (!order || !order.lineItemContainer || order.lineItemContainer.grandTotal.amount <= 0) {
      return
    }

    const eventParameters = {
        'send_to': adsCampaignConversionLabel,
        'transaction_id': order.orderNumber,
        'currency': order.lineItemContainer.grandTotal.currency,
        'value': order.lineItemContainer.grandTotal.amount
    }

    gtag('event', 'conversion', eventParameters)
  }

  }())
#ENDIF
