#========================================================================================
# package      DE_EPAGES::Shop::API::Resource::Countries
# state        public
# base         DE_EPAGES::Shop::API::Resource::BaseShopResource
# description  implements the REST resource for supported countries of a shop
#========================================================================================
package DE_EPAGES::Shop::API::Resource::Countries;
use base DE_EPAGES::Shop::API::Resource::BaseShopResource;

use strict;
use DE_EPAGES::Object::API::Factory qw (LoadObjectByPath);

sub service {
    return LoadObjectByPath('/RestServices/Countries');
}

sub producedContentTypes {
    shift;
    my ($RequestMethod) = @_;

    return {
        GET => [
            ['get', 'application/vnd.epages.v1+json'],
            ['get', 'application/json'],
        ],
    }->{$RequestMethod};
}

sub match {
    my $self = shift;
    my ($Request) = @_;

    return unless $Request->uri->path =~ m|^/api/countries/?$|;
    return 1;
}

sub get {
    my $self = shift;
    my ($Shop) = @_;

    my $aCountries = $Shop->getCountries;

    return $aCountries;

}

1;
