#========================================================================================
# package      DE_EPAGES::Zettle::API::Attributes::Shop
# state        private
# base         DE_EPAGES::Object::API::BaseAttribute
# description  Implements the Shop attributes
#========================================================================================
package DE_EPAGES::Zettle::API::Attributes::Shop;
use base qw( DE_EPAGES::Object::API::BaseAttribute );

use strict;

use DE_EPAGES::Zettle::API::Constants qw ( ZETTLE_OBJECT_ALIAS ZETTLE_ENVIRONMENT_CLASS );

#========================================================================================
# function     getAttributes
# state        private
# syntax       $Value = $Object->get($AttributeName);
#========================================================================================
sub getAttributes {
    shift;
    my ($Object, $aNames) = @_;

    my %Values;
    foreach my $Name (@$aNames) {
        if ( $Name eq ZETTLE_ENVIRONMENT_CLASS.'ID' ) {
            # Object is created once OAuth process is complete, meaning auth code is acquired (see DE_EPAGES::Zettle::UI::Shop::UnityViewLanding)
            $Values{$Name} = $Object->existsChild( ZETTLE_OBJECT_ALIAS )
                                ? $Object->child( ZETTLE_OBJECT_ALIAS )->id
                                : undef;
        }
    }
    return \%Values;
}

1;
