_LastUpdateProfiles_ allows us to register timestamps associated to a certain modification of any item we're interested in. See [DE_EPAGES::Object::API::Object::LastUpdateProfile](../../Object/API/Object/LastUpdateProfile.pm).<br/>

When cartridge is installed two new _LastUpdateProfiles_ are created.
These new Zettle profiles register in `lastupdate` database table the timestamps for any modifications to a set of product attributes that are of interest for the export process.<br/>
The definitions of the profiles can be found in [DE_EPAGES::Zettle::Database::XML::LastUpdateProfiles](../Database/XML/LastUpdateProfiles.xml).

The profiles keep track of the following attributes:
- Profile _ZettleAttributes_: `Name`, `Description`, `ManufacturerSKU`, `UPCEAN`, `TaxClass` product attributes (see [function DE_EPAGES::Zettle::Hooks::Product::_UpdateProfiles](../Hooks/Product.pm#L154))
- Profile _ImageLarge_: `ImageLarge` product attribute, that is, registers any change of such image.

Additionally, a standard profile is also used to keep track of the changes in ListPrices. The profile name is `ListPrice` and is defined in [DE_EPAGES/Product/Database/XML/LastUpdateProfiles.xml](../../Product/Database/XML/LastUpdateProfiles.xml).

All the functions to retrieve updated items from a given date with regards to a specific profile can be found in [DE_EPAGES::Zettle::API::ProductChangeHelper](../API/ProductChangeHelper.pm).